<template>
	<layout-home>
		<div class="home">
      <div class="image-wrapper">
			  <img class="home-image" src="@/assets/main.jpg" alt="Seed 2 Smoke Consulting"/>
      </div>
      <a class="cta-button" href="/#/about">Find out what we do</a>
		</div>
	</layout-home>
</template>

<script>
	import LayoutHome from "@/layouts/LayoutHome";
	export default {
		name: 'Home',
		components: {LayoutHome},
		data () {
			return {
				msg: 'Seed 2 Smoke Consulting'
			}
		}
	}
</script>

<style scoped>
	.home {
		/*margin-top: 40px;*/
		background-color: #ffffff;
    display: flex;
    flex-direction: column;
    /*justify-content: center;*/
    align-items: center;
    margin-bottom: 1vh;
	}
  .image-wrapper,
	.home-image {
		height: 62vh;
    max-width: 100%;
    /*min-height: 400px;*/
	}
  .cta-button {
    border: 3px #c7ba4c solid;
    padding: 25px 44px;
    margin: 15px 30px;
    text-decoration: none;
    color: #c7ba4c;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
    cursor: pointer;
    outline: none;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    font-size: 16px;
    font-family: "Lato", Calibri, Arial, sans-serif;
    position: relative;
    z-index: 2;
  }
  .cta-button:visited {
    color: #c7ba4c;
  }
  .cta-button::after {
    height: 100%;
    top: 0;
    left: 0;
    width: 0;
    background: #c7ba4c;
    content: '';
    position: absolute;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    z-index: -1;
  }
  .cta-button:hover {
    color: #fff;
  }

  .cta-button:hover::after,
  .cta-button:active::after {
    width: 100%;
  }

  @media (max-width: 599px) {

  }

  @media (min-width: 600px) {
    .cta-button {
      padding: 25px 60px;
    }
  }

  @media (min-width: 900px) {
    .cta-button {
      padding: 25px 70px;
    }
  }

  @media (min-width: 1200px) {
    .cta-button {
      padding: 25px 80px;
    }
  }

  @media (min-width: 1800px) {

  }
</style>